Subject: [NGO] FW: [Ecrit] FW: [NENA-ltd] LoST

From: "Romascanu, Dan \(Dan\) " <[email-masked]>
Date: Sat, 2 Dec 2006 15:08:40 +0200

See this discussion in the ecrit WG, similar on many respects with one
of our threads and discussions in San Diego. 

Dan

-----Original Message-----
From: Andrew Newton [mailto:[email-masked]] 
Sent: Saturday, December 02, 2006 3:44 AM
To: Marc Linsner
Cc: [email-masked]
Subject: Re: [Ecrit] FW: [NENA-ltd] LoST

In the IETF RAI area, there is a strong consensus towards moving toward
Relax NG and away from XML Schema.  This is also echoed by many of the
members of the IETF's XML Directorate, most notably Tim Bray -- one of
the authors of XML.

To be even more specific, the experience within IETF standards with XML
Schema has exposed two recurring issues that are solved by Relax
NG:  1) The UPA restriction, and 2) readability of XSDs.

And to your specific points about existing IETF standards and existing
software:

1) It is true that a lot of IETF standards use XML Schema.  That is due
in part to the fact that XML Schema has been around longer, but also of
the mistaken belief that BCP 70 mandated the use of XML Schema in IETF
RFCs.  BCP 70 actually says no such thing, but this misperception
existed for quite some time until the XML Directorate made the
clarification.

2) At present, there does exist more software that uses XML Schema than
Relax NG.  But at one time there was also very little software for XML
Schema.  As Relax NG heads through the ISO standardization process and
more IETF standards emerge that use Relax NG, more software supporting
it will appear.

-andy

On Dec 1, 2006, at 12:18 PM, Marc Linsner wrote:

> The NENA Long Term Definition work group has been closely following 
> the LoST work evidenced by early requirements Terry's concerns a week 
> or two ago.
>
> I again queried that group to see if they have any outstanding issues 
> with Terry's concerns, or any additional.  Hence I forwarded below 
> (with
> permission) Pierre's question about Relax NG.
>
> Thanks,
>
> -Marc-
>
> -----Original Message-----
> From: Desjardins, Pierre [mailto:[email-masked]]
> Sent: Friday, December 01, 2006 9:28 AM
> To: Marc Linsner; [email-masked]
> Subject: RE: [NENA-ltd] LoST
>
> Marc,
>
> I have no further issues with regards to Terry's concerns, however I 
> did voice a negative comment about the choice of RELAX NG as the 
> schema language for defining LoST messages.
>
> I have been around XML for a very long time and this is not about the 
> merits of one schema language over another but rather about making 
> life easier for future implementers.
>
> Like it or not, W3C XML Schema (WXS) is the mainstream XML schema 
> language and it shows in the multiplicity and diversity of tools out 
> there (commercial or otherwise).
>
> The geopriv schemas were are all published using WXS which I believe 
> favored accelerated adoption. It seems to me that we all want the same

> benefit for LoST.
>
> I am willing to help with putting a WXS version together -- I may even

> be able to come up with a skeleton schema this weekend...
>
> What do you think?
>
> /Pier
>
> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Marc Linsner
> Sent: Friday, December 01, 2006 8:30 AM
> To: [email-masked]
> Subject: [NENA-ltd] LoST
>
> All,
>
> Sorry I couldn't make yesterday's call.
>
> I am curious if discussion took place wrt Terry's questions/ concerns 
> about LoST.  Is this community satisfied with responses to those 
> concerns?  Are there still open issues?
>
>
> Thanks,
>
> -Marc-
> _______________________________________________
> Nena-ltd mailing list
> [email-masked]
> https://lists.cs.columbia.edu/cucslists/listinfo/nena-ltd
>
> _______________________________________________
> Ecrit mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ecrit

_______________________________________________
Ecrit mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ecrit

_______________________________________________
NGO mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ngo